curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id}")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"cardholder_id": "7d6a7ba0-28b7-4f2d-99cb-05e4286bd0dc",
"first_name": "Contract",
"last_name": "Regression",
"date_of_birth": "0001-01-01",
"email": "updated-8d95ee6f-3638-4f7d-9eb9-459d105fa830@example.com",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550100",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-10 09:38:07",
"number_of_cards": 0
}Retrieve Cardholder
Retrieve a cardholder by its cardholder_id to inspect its profile and status. Use this ID when issuing a card to an existing cardholder.
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id}")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/issuing/cardholders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"cardholder_id": "7d6a7ba0-28b7-4f2d-99cb-05e4286bd0dc",
"first_name": "Contract",
"last_name": "Regression",
"date_of_birth": "0001-01-01",
"email": "updated-8d95ee6f-3638-4f7d-9eb9-459d105fa830@example.com",
"country_code": "US",
"nationality": "",
"gender": "",
"phone_number": "2025550100",
"delivery_address": null,
"cardholder_status": "SUCCESS",
"review_status": "SUCCESS",
"create_time": "2026-09-10 09:38:07",
"number_of_cards": 0
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts endpoint. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
"71fdb0fe-9682-457a-9361-e8868694f12f"
Response
OK - Successfully retrieved a cardholder.
The cardholder's unique identifier.
"7c4ff2cd-1bf6-4aaa-bf16-266771425011"
The cardholder's email address.
"demo@example.com"
The total number of cards associated with the cardholder, including all statuses.
1
The first name of this cardholder. Required before activating Cards. This field cannot contain any numbers, special characters (except periods, commas, hyphens, spaces and apostrophes) or non-latin letters.
"Emily"
The last name of this cardholder. Required before activating Cards. This field cannot contain any numbers, special characters (except periods, commas, hyphens, spaces and apostrophes) or non-latin letters.
"Toy"
Time at which the object was created.
"2024-05-09 15:52:23"
The cardholder's status.
FAILED, PENDING, SUCCESS, INCOMPLETE The cardholder's birth date with yyyy-mm-dd format. The cardholder must be at least 18 and under 80 years old.
"1990-01-01"
The cardholder's phone number.
See Phone number validation rules for length validation details.
"86683306"
The cardholder's gender. An empty string means it was not provided.
MALE, FEMALE, The cardholder's nationality. An empty string means it was not provided.
2"SG"
The cardholder's collected residential address. Fields that have not been collected may be omitted. A successful cardholder status does not imply that all address fields are present. Card issuance requirements depend on the selected product's required_fields.
Show child attributes
Show child attributes
The review status of the cardholder.
SUCCESS, FAILED, PENDING "SUCCESS"
IDV verification status. Returned when applicable.
PENDING- IDV pending.PASSED- IDV passed.FAILED- IDV failed.
PENDING, PASSED, FAILED IDV verification URL. Returned when applicable.
"https://idv.sumsub.com/verify/abc123"
IDV verification URL expiration time in RFC 3339 format.
"2026-04-10T10:00:00+08:00"

